__gnu_pbds::detail::container_base_dispatch< Key, Mapped, _Alloc, list_update_tag, Policy_Tl > Struct Template Reference

## Public Types

typedef lu_map< Key, Mapped, at0t, _Alloc, at1t > | type

## Detailed Description

### template<typename Key, typename Mapped, typename _Alloc, typename Policy_Tl>
struct __gnu_pbds::detail::container_base_dispatch< Key, Mapped, _Alloc, list_update_tag, Policy_Tl >

Specialization for list-update map.

Definition at line 107 of file container_base_dispatch.hpp.

## Member Typedef Documentation

## type

template<typename Key , typename Mapped , typename _Alloc , typename Policy_Tl >

typedef lu_map<Key, Mapped, at0t, _Alloc, at1t> __gnu_pbds::detail::container_base_dispatch< Key, Mapped, _Alloc, list_update_tag, Policy_Tl >::type

Dispatched type.

Definition at line 118 of file container_base_dispatch.hpp.

The documentation for this struct was generated from the following file:

- container_base_dispatch.hpp